gnunet-svn
[Top][All Lists]
Advanced

[Date Prev][Date Next][Thread Prev][Thread Next][Date Index][Thread Index]

[GNUnet-SVN] [taler-deployment] branch master updated: script for updati


From: gnunet
Subject: [GNUnet-SVN] [taler-deployment] branch master updated: script for updating and compiling all docs
Date: Fri, 02 Jun 2017 15:22:09 +0200

This is an automated email from the git hooks/post-receive script.

marcello pushed a commit to branch master
in repository deployment.

The following commit(s) were added to refs/heads/master by this push:
     new 4c99302  script for updating and compiling all docs
4c99302 is described below

commit 4c993021719b0aa2f04f65afb04ebc063faaef7f
Author: Marcello Stanisci <address@hidden>
AuthorDate: Fri Jun 2 15:21:49 2017 +0200

    script for updating and compiling all docs
---
 taler-build/update_docs.sh | 47 ++++++++++++++++++++++++++++++++++++++++++++++
 1 file changed, 47 insertions(+)

diff --git a/taler-build/update_docs.sh b/taler-build/update_docs.sh
new file mode 100644
index 0000000..6098149
--- /dev/null
+++ b/taler-build/update_docs.sh
@@ -0,0 +1,47 @@
+#!/bin/bash
+
+set -eu
+
+fetch () {
+  git clean -fdx
+  git fetch
+  # reset to updated upstream branch, but only if we're tracking a branch
+  branch=$(git rev-parse --abbrev-ref --symbolic-full-name @{u} 2>/dev/null || 
echo HEAD)
+  git reset --hard "$branch"
+}
+
+# 1 merchant
+cd $HOME/merchant
+fetch
+./bootstrap
+./configure --with-gnunet=$HOME/local \
+            --with-exchange=$HOME/local \
+            --with-microhttpd=$HOME/local
+cd doc/
+make pdf
+
+# 2 exchange
+cd $HOME/exchange
+fetch
+./bootstrap
+./configure --with-libgnurl=$HOME/local \
+            --with-microhttpd=$HOME/local \
+            --with-gnunet=$HOME/local
+cd doc/
+make pdf
+
+# 3 frontends tutorials
+cd $HOME/merchant-frontend-examples
+fetch
+make
+
+# 4 api
+cd $HOME/api
+fetch
+make html
+
+# 5 onboarding
+cd $HOME/deployment
+fetch
+cd doc/
+texi2pdf onboarding.texi

-- 
To stop receiving notification emails like this one, please contact
address@hidden



reply via email to

[Prev in Thread] Current Thread [Next in Thread]